Proxy Interno - Listar países disponíveis
curl --request GET \
--url https://api.wppfy.com/proxy-managed/countriesimport requests
url = "https://api.wppfy.com/proxy-managed/countries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.wppfy.com/proxy-managed/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wppfy.com/proxy-managed/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wppfy.com/proxy-managed/countries"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wppfy.com/proxy-managed/countries")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wppfy.com/proxy-managed/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"countries": [
{
"value": "br",
"label": "Brazil"
}
]
}Proxy
Proxy Interno - Listar países disponíveis
Retorna a lista de países aceitos pelo campo proxy_managed_country de
POST /instance/connect.
Respostas de sucesso enviam Cache-Control: public, max-age=300. Quando o
catálogo estiver temporariamente indisponível, o endpoint responde 503.
- Autenticação: endpoint público, sem
token. - Proteção: limite de 120 requisições por minuto por IP; excesso retorna
429comRetry-After. - Sem parâmetros de query.
Os valores retornados em countries[].value são exatamente os aceitos em
proxy_managed_country no /instance/connect. Os valores em
countries[].label são apenas rótulos para exibição; envie sempre o campo
value nas operações de criação ou conexão.
Exemplo de requisição:
GET /proxy-managed/countries
GET
/
proxy-managed
/
countries
Proxy Interno - Listar países disponíveis
curl --request GET \
--url https://api.wppfy.com/proxy-managed/countriesimport requests
url = "https://api.wppfy.com/proxy-managed/countries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.wppfy.com/proxy-managed/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wppfy.com/proxy-managed/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.wppfy.com/proxy-managed/countries"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.wppfy.com/proxy-managed/countries")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wppfy.com/proxy-managed/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"countries": [
{
"value": "br",
"label": "Brazil"
}
]
}Resposta
Lista de países disponíveis
Show child attributes
Show child attributes
